Subject: Re: [PATCH] builtin/revert.c: refactor using an enum for cmd-action

From: Junio C Hamano <[email-masked]>
Date: Thu, 11 Jan 2024 11:37:37 -0800

Phillip Wood <[email-masked]> writes:

> I think ACTION_NONE was intended to covey that the user did not pass
> one of the OPT_CMDMODE() options like "--continue" as there isn't a
> "--start" option. I don't have a strong opinion between "_NONE" and
> "_START".

I agree with you why NONE is called as such.  If "revert" does not
take "--start" (I do not remember offhand), I would think it would
be better to follow suit.